title: goal node wait
---
## goal node wait



Waits for the node to make progress



### Synopsis



Waits for the node to make progress, which includes catching up.



```

goal node wait [flags]

```



### Options



```

  -h, --help              help for wait

  -w, --waittime uint32   Time (in seconds) to wait for node to make progress (default 5)

```



### Options inherited from parent commands



```

  -d, --datadir stringArray   Data directory for the node

  -k, --kmddir string         Data directory for kmd

```



### SEE ALSO



* [goal node](../../node/node/)	 - Manage a specified algorand node



